<?PHP 
include('header.php');
?><span class='top-bl-s-verh'>Управление рекламой</span>
<div class='menucenter-top1'><?
$GET_ADV = (isset($_GET["adv"]) && $_GET["adv"] != '') ? strip_tags(stripslashes($_GET["adv"])) : 'dyn';
$active1 = $active2 = $active3 = $active4 = $active5 = NULL;
switch($GET_ADV){
case 'dyn': $active1 = "active"; $require = "mdyn";break;
case 'stat': $active2 = "active"; $require = "mstat";break;
case 'banner': $active3 = "active"; $require = "mban";break;
case 'task': $active4 = "active"; $require = "mtask";break;
case 'mails': $active5 = "active"; $require = "mmails"; break;
case 'tests': $active5 = "active"; $require = "mtests"; break;
}
	
echo "
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
Это ваш капитанский мостик! Здесь вы можете управлять своими рекламными кампаниями: 
рекламой в серфинге, письмами, банерами, контекстной рекламой, 
а так же проверять ваши задания, размещённые на <span class='seosprint'>$sitename</span>.
</td></tr>
</table>
";
						
require_once($_SERVER['DOCUMENT_ROOT'].'/edit_adv/'.$require.'.php');
?>
<script type="text/javascript" language="JavaScript">
function hideserfaddblock(id) {
if (document.getElementById(id).style.display == 'none') {
document.getElementById(id).style.display = '';
}else{
document.getElementById(id).style.display = 'none';
}
return false;
}
            
function confirmdelete(idadv){
var GET_ADV = '<? echo $GET_ADV ?>';
if (confirm("Вы уверены что хотите удалить ссылку №" + idadv + "?")){ 
top.location = '/advmanager.php?adv='+GET_ADV+'&del='+idadv; }
return false;
}

function confirmerase(idadv,totaladv){
var GET_ADV = '<? echo $GET_ADV ?>';
if (totaladv == 0) { alert("Счётчик этой площадки уже равен 0"); 
}else{
if (confirm("Обнулить счётчик просмотров ссылки №" + idadv + "?")){ 
top.location = '/advmanager.php?adv='+GET_ADV+'&clear='+idadv; }
}
return false;
}

function alertbudget(){
alert("Пополните рекламный бюджет");
return false;
}
var progress = false;

function add_summ(id,zp){
if(!progress){
var price = $.trim($("#add_summ_"+id).val());
$.ajax({ 
type: "POST", 
url: "ajax/adv.php", 
data: { 'func' : 'add_summ', 'id' : id, 'price' : price, 'zp' : zp},
beforeSend: function(){ progress = true;},
success: function(data) {
location.replace('/cart.html');
progress = false;
}
});
}
}

function deletes(id, zp){
if(!progress){
if(confirm("Вы уверены что хотите удалить?")) {
$.ajax({ 
type: "POST", 
url: "ajax/adv.php", 
data: { 'func' : 'deletes', 'id' : id, 'zp' : zp},
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1){QBinfo('Ошибка:','<b>Нет такой рекламной площадки!</b>',4000,'bottom-right');}
else if(data == 2){QBinfo('Ошибка:','<b>Нужно сначало приостановить просмотр!</b>',4000,'bottom-right');}
else if(data == 3){
$("#id_clr_"+id).remove();
QBinfo('Поздравляем:','<b>Рекламная площадка успешно удалена!</b>',4000,'bottom-right');}
progress = false;
}
});
}
}
}

function paused(id,zp){
if(!progress){
$.ajax({ 
type: "POST", 
url: "ajax/adv.php", 
data: { 'func' : 'paused', 'id' : id, 'zp' : zp},
beforeSend: function(){ progress = true;},
success: function(data) {
$("#st_pa_"+id).removeClass();
if(data == 1) {
$("#st_pa_"+id).addClass( "serfcontrol-play");
} else {
$("#st_pa_"+id).addClass( "serfcontrol-pause");
}
progress = false;
}
});
}
}

function tranfer_summ(id,zp) {
if(!progress){
var to = $.trim($('#trans-id-pl-'+id).val());
var too = to.substr(2);
var summ = $.trim($('#trans-id-sm-'+id).val()).replace(',','.');
var s1 = $.trim($("#summ-pl-"+id).text());
var s2 = $.trim($("#summ-pl-"+too).text());
val1 = (s1*1 - summ*1).toFixed(3);
val2 = (s2*1 + summ*1).toFixed(3);
$.ajax({ 
type: "POST", 
url: "ajax/adv.php", 
data: { 'func' : 'tranfer_summ', 'id' : id, 'zp' : zp, 'to' : to, 'summ' : summ},
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1) { QBinfo('Ошибка:','<b>Нет такой рекламной площадки!</b>',4000,'bottom-right');}
if(data == 2) { QBinfo('Ошибка:','<b>Неверно указана сумма!</b>',4000,'bottom-right');}
if(data == 3) { QBinfo('Поздравляем:','<b>Рекламная площадка успешно пополнена!</b>',4000,'bottom-right');
$("#transfer-"+id).hide();
$("#summ-pl-"+id).html(val1);
$("#summ-pl-"+too).html(val2);
}
if(data == 4) { QBinfo('Ошибка:','<b>Рекламная площадка не приостановлена!</b>',4000,'bottom-right');}
progress = false;
}
});
}
}

function view_abuse(id){
if(!progress){
if($('#view-abuse-'+id).css('display') == 'block') {
$('#view-abuse-'+id).css('display','none');return false;
}
$.ajax({ 
type: "POST", 
url: "ajax/adv.php", 
data: { 'func' : 'view-abuse', 'id' : id},
beforeSend: function(){ progress = true;},
success: function(data) {
$("#vip-blobk-"+id).removeClass();
if(data == 1){ QBinfo('Ошибка:','<b>Жалоб нет!</b>',4000,'bottom-right');}
else { 
$('#view-abuse-'+id).html(data).css('display','blobk');
}
progress = false;
}
});
}
}
</script></div>
<? include('footer.php'); ?>